## Get Index **get** `/api/v1/indexes/{index_id}` Get an index by ID. ### Path Parameters - `index_id: string` ### Query Parameters - `organization_id: optional string` - `project_id: optional string` ### Cookie Parameters - `session: optional string` ### Returns - `id: string` Unique identifier - `export_config_id: string` ID of the export configuration. - `name: string` Index name. - `project_id: string` Project this index belongs to. - `source_directory_id: string` ID of the source directory. - `sync_config_id: string` ID of the sync configuration. - `created_at: optional string` Creation datetime - `description: optional string` Index description. - `last_exported_at: optional string` Last export time. - `last_synced_at: optional string` Last sync time. - `metadata: optional map[unknown]` Build state and diagnostic info. - `updated_at: optional string` Update datetime ### Example ```http curl https://api.cloud.llamaindex.ai/api/v1/indexes/$INDEX_ID \ -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" ``` #### Response ```json { "id": "id", "export_config_id": "export_config_id", "name": "name", "project_id": "project_id", "source_directory_id": "source_directory_id", "sync_config_id": "sync_config_id", "created_at": "2019-12-27T18:11:19.117Z", "description": "description", "last_exported_at": "2019-12-27T18:11:19.117Z", "last_synced_at": "2019-12-27T18:11:19.117Z", "metadata": { "foo": "bar" }, "updated_at": "2019-12-27T18:11:19.117Z" } ```